Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QTextFrame

    java.lang.Object
      com.trolltech.qt.internal.QSignalEmitterInternal
          com.trolltech.qt.QSignalEmitter
              com.trolltech.qt.QtJambiObject
                  com.trolltech.qt.core.QObject
                      com.trolltech.qt.gui.QTextObject
                          com.trolltech.qt.gui.QTextFrame

All Implemented Interfaces:
  QtJambiInterface

Direct Known Subclasses:
  QTextTable

    public class QTextFrame

extends QTextObject

The `QTextFrame` class represents a frame in a `QTextDocument`. Text frames provide structure for the text in a document. They are used as generic containers for other document elements. Frames are usually created by using `QTextCursor::insertFrame()`.

Frames can be used to create hierarchical structures in rich text documents. Each document has a root frame (`QTextDocument::rootFrame()`), and each frame beneath the root frame has a parent frame and a (possibly empty) list of child frames. The parent frame can be found with `parentFrame()`, and the `childFrames()` function provides a list of child frames.

Each frame contains at least one text block to enable text cursors to insert new document elements within. As a result, the QTextFrame::iterator class is used to traverse both the blocks and child frames within a given frame. The first and last child elements in the frame can be found with `begin()` and `end()`.

A frame also has a format (specified using `QTextFrameFormat`) which can be set with `setFormat()` and read with `format()`.

Text cursors can be obtained that point to the first and last valid cursor positions within a frame; use the `firstCursorPosition()` and `lastCursorPosition()` functions for this. The frame's extent in the document can be found with `firstPosition()` and `lastPosition()`.

You can iterate over a frame's contents using the QTextFrame::iterator class: this provides read-only access to its internal list of text blocks and child frames.

See also:
  `QTextCursor`, and `QTextDocument`.

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1, QSignalEmitter.Signal2, QSignalEmitter.Signal3, QSignalEmitter.Signal4, QSignalEmitter.Signal5, QSignalEmitter.Signal6, QSignalEmitter.Signal7, QSignalEmitter.Signal8, QSignalEmitter.Signal9`

Nested classes/interfaces inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`com.trolltech.qt.internal.QSignalEmitterInternal.AbstractSignalInternal`

Field Summary

Fields inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`currentSender`

Constructor Summary
`QTextFrame(QTextDocument doc)` Creates a new empty frame for the text `document`.

Method Summary
`QTextFrame_iterator` | `begin()` Returns an iterator pointing to the first document element inside the frame.
`java.util.List` | `childFrames()` Returns a (possibly empty) list of the frame's child frames.
`QTextFrame_iterator` | `end()` Returns an iterator pointing to the last document element inside the frame.
`QTextCursor` | `firstCursorPosition()` Returns the first cursor position inside the frame.
`int` | `firstPosition()` Returns the first document position inside the frame.
`QTextFrameFormat` | `frameFormat()` Returns the frame's format.
`QTextCursor` | `lastCursorPosition()` Returns the last cursor position inside the frame.
`int` | `lastPosition()` Returns the last document position inside the frame.
`QTextFrame` | `parentFrame()` Returns the frame's parent frame.
`void` | `setFrameFormat(QTextFrameFormat format)` Sets the frame's `format`.

Methods inherited from class com.trolltech.qt.gui.QTextObject
`document, format, formatIndex, objectIndex, setFormat`

Methods inherited from class com.trolltech.qt.core.QObject
`childEvent, children, connectSlotsByName, customEvent, disposeLater, dumpObjectInfo, dumpObjectTree, dynamicPropertyNames, event, eventFilter, findChild, findChild, findChild, findChildren, findChildren, findChildren, findChildren, indexOfProperty, installEventFilter, isWidgetType, killTimer, moveToThread, objectName, parent, properties, property, removeEventFilter, setObjectName, setParent, setProperty, startTimer, timerEvent, toString, userProperty`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, equals, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class com.trolltech.qt.internal.QSignalEmitterInternal
`__qt_signalInitialization`

Methods inherited from class java.lang.Object
`clone, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QTextFrame

    public QTextFrame(QTextDocument doc)

  Creates a new empty frame for the text `document`.

Method Detail

### begin

    public final QTextFrame_iterator begin()

  Returns an iterator pointing to the first document element inside the frame.

See also:
  `end()`.

### childFrames

    public final java.util.List childFrames()

  Returns a (possibly empty) list of the frame's child frames.

See also:
  `parentFrame()`.

### end

    public final QTextFrame_iterator end()

  Returns an iterator pointing to the last document element inside the frame.

See also:
  `begin()`.

### firstCursorPosition

    public final QTextCursor firstCursorPosition()

  Returns the first cursor position inside the frame.

See also:
  `lastCursorPosition()`, `firstPosition()`, and `lastPosition()`.

### firstPosition

    public final int firstPosition()

  Returns the first document position inside the frame.

See also:
  `lastPosition()`, `firstCursorPosition()`, and `lastCursorPosition()`.

### frameFormat

    public final QTextFrameFormat frameFormat()

  Returns the frame's format.

See also:
  `setFrameFormat()`.

### lastCursorPosition

    public final QTextCursor lastCursorPosition()

  Returns the last cursor position inside the frame.

See also:
  `firstCursorPosition()`, `firstPosition()`, and `lastPosition()`.

### lastPosition

    public final int lastPosition()

  Returns the last document position inside the frame.

See also:
  `firstPosition()`, `firstCursorPosition()`, and `lastCursorPosition()`.

### parentFrame

    public final QTextFrame parentFrame()

  Returns the frame's parent frame. If the frame is the root frame of a document, this will return 0.

See also:
  `childFrames()`, and `QTextDocument::rootFrame()`.

### setFrameFormat

    public final void setFrameFormat(QTextFrameFormat format)

  Sets the frame's `format`.

See also:
  `frameFormat()`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD